For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • POSTAdd Interac Account
      • POSTCreate Bank Account
      • POSTCreate Bank Account (v2)
      • POSTCreate Debit Card
      • POSTCreate Iban Account
      • POSTCreate Pix Account
      • POSTCreate Transactions
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Card
      • DELDelete Withdrawer EFT Account
      • DELDelete Withdrawer Iban Account
      • DELDelete Withdrawer Pix Account
      • GETGet Balances
      • POSTGet Message (EVM USDC/SBC/EuroE only)
      • GETGet Quote
      • GETGet Quote Exact Out
      • GETGet Withdrawer
      • GETGet Withdrawer History
      • POSTLink Paypal Account
      • POSTLink Venmo Account
      • POSTRegister Business
      • POSTRegister User
      • POSTRegister User Via Attested KYC
      • POSTRegister User Via Document
      • POSTRegister User Via Share Token
      • POSTSend Gasless Withdraw Transaction (EVM USDC/SBC/EuroE only)
      • POSTValidate KYC Information
LogoLogo
RegisterLoginSandbox Login
API ReferenceWithdraw

Create Iban Account

POST
https://api-sandbox.coinflow.cash/api/withdraw/iban
POST
/api/withdraw/iban
$curl -X POST https://api-sandbox.coinflow.cash/api/withdraw/iban \
> -H "x-coinflow-auth-user-id: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "number": "GB29NWBK60161331926819"
>}'
1"iban_01F8MECHZX3TBDSZ7XRADM79XV"
Creates an Iban account for a particular user
Was this page helpful?
Previous

Create Pix Account

Next
Built with

Authentication

x-coinflow-auth-user-idstring

The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Authorizationstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

OR
x-coinflow-auth-walletstring

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

x-coinflow-auth-blockchainstring

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

x-coinflow-auth-merchant-idstring
The merchant ID the session should be generated for
OR
x-coinflow-auth-session-keystring
The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
numberstringRequired

The IBAN number or in the case of the UK the 8-digit account number

sortCodestringOptional

Only used for the UK, the 6-digit sort code

bicstringOptional

Only used for the Sepa, the bank identifier code - required when requested

aliasstringOptional

Response

Token representing the new Iban account

Errors

426
Upgrade Required Error

The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key